OVH Community, your new community space.

Very basic phpBB3 question


Myatu
19-04-2010, 17:43
Quote Originally Posted by fozle
or via ssh "php -v"
"php -r phpinfo(); | more" is probably be more helpful, to see if is PHP has support for GD and/or Imagemagick ...

fozl
19-04-2010, 11:33
or via ssh "php -v"

Neil
19-04-2010, 10:47
Hi

If you want to check what php version you are running then create a file with the following code:

phpinfo();
?>
Then save as a .php file like 'version.php' and upload it your web space and point your browser to it. It will be like https://90plan.ovh.net/infos/test.beta

I would run PHP5 because the next version of phpBB will drop support below PHP 5.2, http://www.phpbb.com/community/viewt...f=14&t=1958605

kazakore
16-04-2010, 18:28
Quote Originally Posted by Neil
I am sure phpBB3 dropped php4.

If you put it in the www folder then everything on the hosting space will be php5, if you put in the subdomain folder then just that folder will run as php5.
Requirements
Graham

phpBB has a few requirements which must be met before you are able to install and use it. In this section, these requirements are explained. Maybe 5 is needed for the version MySQL5 which is running though.

*

A webserver or web hosting account running on any major Operating System with support for PHP
*

A SQL database system, one of:
o

FireBird 2.0 or above
o

MySQL 3.23 or above
o

MS SQL Server 2000 or above (directly or via ODBC)
o

Oracle
o

PostgreSQL 7.x or above
o

SQLite 2
*

PHP 4.3.3 or above with support for the database you intend to use. The optional presence of the following modules within PHP will provide access to additional features, but they are not required.
o

zlib Compression support
o

Remote FTP support
o

XML support
o

Imagemagick support
o

GD support
http://www.phpbb.com/support/documen...quirements.php

Don't forget the best support is at, http://www.phpbb.com/community/ - and incredible amount of knowledge on there.
Yeah will most likely go there once installation is started should I get any problems. This was more to see if there was anything required by me before starting.


Is there a way to check what php is used by default or run by a .php application? Going to add the .htaccess anyway just wondered for curiosity.

Neil
16-04-2010, 17:44
I am sure phpBB3 dropped php4.

If you put it in the www folder then everything on the hosting space will be php5, if you put in the subdomain folder then just that folder will run as php5.

Don't forget the best support is at, http://www.phpbb.com/community/ - and incredible amount of knowledge on there.

kazakore
16-04-2010, 17:37
Quote Originally Posted by Neil
Hi

phpBB has a very nice installation, it will tell you if you need to do anything or change any permissions. It does require PHP 5, so you may need to enable it see http://help.ovh.co.uk/Php5AtOvh - PHP 4 maybe default for you.
PHP4.3.3 according to their Requirements page on the phpBB site. EDIT: But probably worth running PHP5. Do I put the .htaccess in www route or the route of the subdomain/where phpBB is being installed?

One thing to do is to create the MySQL database first as it takes a few minutes to be created and then you have all the details ready to enter during the installation.
Just created and called it forum so should hopefully be ready.

But it should all be a breeze....
Glad to hear it but I know if I have any question I generally get a fast and friendly response here

Neil
16-04-2010, 15:59
Quote Originally Posted by kazakore
Going to try installing phpBB3 on my shared hosting (personal account) and just wanted to check if I need to do anything before doing so.

Currently have nothing but a few basic bits of html and images on there. Do I need to do anything in the way of activating the MySQL or PHP of the hosting or should it just install no problems?

Have created a forum subdomain so will be waiting for that to be created before installing. From a quick glance of the phpBB documentation I just upload into desired folder (forum, which I have set as route of the forum subdomain) and when I browse to that page for the first time the installer should run.
Hi

phpBB has a very nice installation, it will tell you if you need to do anything or change any permissions. It does require PHP 5, so you may need to enable it see http://help.ovh.co.uk/Php5AtOvh - PHP 4 maybe default for you.

One thing to do is to create the MySQL database first as it takes a few minutes to be created and then you have all the details ready to enter during the installation.

But it should all be a breeze....

kazakore
16-04-2010, 15:31
Going to try installing phpBB3 on my shared hosting (personal account) and just wanted to check if I need to do anything before doing so.

Currently have nothing but a few basic bits of html and images on there. Do I need to do anything in the way of activating the MySQL or PHP of the hosting or should it just install no problems?

Have created a forum subdomain so will be waiting for that to be created before installing. From a quick glance of the phpBB documentation I just upload into desired folder (forum, which I have set as route of the forum subdomain) and when I browse to that page for the first time the installer should run.